People and access API¶
Manage members, invitations, workspace access, service accounts, and single sign-on. See Members and roles.
Paths are relative to https://<your-atlas-host>/api/v1. For the API key and headers every
request needs, see Authentication.
Endpoint |
What it does |
|---|---|
Invite a user by email to your organization |
|
List all members in your organization |
|
Get a membership by ID |
|
Update a membership (owner status, active status) |
|
Remove a membership from your organization |
|
Send an invite to an email address |
|
List pending invites for your organization |
|
Revoke a pending invite |
|
Re-send a pending invite with a new token |
|
Grant workspace access to a membership |
|
Revoke workspace access from a membership |
|
List all users with direct access to a workspace |
|
List all workspaces a membership has direct access to |
|
Grant workspace access to a service account |
|
Revoke workspace access from a service account |
|
GET /workspace-access/service-account/workspace/{workspace_id} |
List all service accounts with direct access to a workspace |
List all workspaces a service account has direct access to |
|
Create a new service account |
|
List all service accounts for your organization |
|
Get a service account by ID |
|
Update a service account |
|
Delete a service account |
|
Generate an API key for a service account |
|
List active API keys for a service account |
|
DELETE /service-accounts/{service_account_id}/keys/{token_id} |
Revoke an API key for a service account |
Get the organization’s SSO connection, if one is configured |
|
Create or update the organization’s SAML SSO connection |
|
Delete the SSO connection |
|
Enable the SSO connection |
|
Disable the SSO connection |
|
Require SSO for every member except owners; needs an enabled, verified connection |
|
List the domains the organization has claimed for SSO |
|
Claim an email domain for SSO |
|
Check a claimed domain’s DNS TXT record |
Invite member¶
POST /members/
Invite a user by email to your organization.
Request body
Field |
Type |
Required |
|---|---|---|
|
string |
Yes |
|
boolean |
|
|
|
|
|
UUID |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
boolean |
|
string |
|
datetime |
|
datetime |
|
datetime |
List members¶
GET /members/
List all members in your organization.
Parameters
Name |
In |
Type |
|---|---|---|
|
query |
integer |
|
query |
integer |
Response A page of results (items, total, limit, offset). Each item:
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
boolean |
|
boolean |
|
boolean |
|
datetime |
|
datetime |
|
datetime |
|
datetime |
Get member¶
GET /members/{membership_id}
Get a membership by ID.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
boolean |
|
boolean |
|
boolean |
|
datetime |
|
datetime |
|
datetime |
|
datetime |
Update member¶
PATCH /members/{membership_id}
Update a membership (owner status, active status).
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Request body
Field |
Type |
|---|---|
|
boolean |
|
boolean |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
boolean |
|
boolean |
|
boolean |
|
datetime |
|
datetime |
|
datetime |
|
datetime |
Remove member¶
DELETE /members/{membership_id}
Remove a membership from your organization.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
The raw file content.
Create invite¶
POST /invites/
Send an invite to an email address.
Request body
Field |
Type |
Required |
|---|---|---|
|
string |
Yes |
|
boolean |
|
|
|
|
|
UUID |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
boolean |
|
string |
|
datetime |
|
datetime |
|
datetime |
List pending invites¶
GET /invites/
List pending invites for your organization.
Response A list of objects:
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
boolean |
|
string |
|
datetime |
|
datetime |
|
datetime |
Revoke invite¶
DELETE /invites/{invite_id}
Revoke a pending invite.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
The raw file content.
Resend invite¶
POST /invites/{invite_id}/resend
Re-send a pending invite with a new token.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
boolean |
|
string |
|
datetime |
|
datetime |
|
datetime |
Grant workspace access¶
POST /workspace-access/
Grant workspace access to a membership.
Request body
Field |
Type |
Required |
Description |
|---|---|---|---|
|
UUID |
Yes |
|
|
UUID |
Yes |
|
|
string |
|
|
|
string |
|
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
datetime |
Revoke workspace access¶
DELETE /workspace-access/{access_id}
Revoke workspace access from a membership.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
The raw file content.
List workspace access for workspace¶
GET /workspace-access/workspace/{workspace_id}
List all users with direct access to a workspace.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
|
query |
integer |
|
|
query |
integer |
Response A page of results (items, total, limit, offset). Each item:
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
datetime |
List workspace access for membership¶
GET /workspace-access/membership/{membership_id}
List all workspaces a membership has direct access to.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
|
query |
integer |
|
|
query |
integer |
Response A page of results (items, total, limit, offset). Each item:
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
datetime |
Grant service account workspace access¶
POST /workspace-access/service-account/
Grant workspace access to a service account.
Request body
Field |
Type |
Required |
Description |
|---|---|---|---|
|
UUID |
Yes |
|
|
UUID |
Yes |
|
|
string |
|
|
|
string |
|
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
datetime |
Revoke service account workspace access¶
DELETE /workspace-access/service-account/{access_id}
Revoke workspace access from a service account.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
The raw file content.
List service account workspace access for workspace¶
GET /workspace-access/service-account/workspace/{workspace_id}
List all service accounts with direct access to a workspace.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
|
query |
integer |
|
|
query |
integer |
Response A page of results (items, total, limit, offset). Each item:
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
datetime |
List service account workspace access for service account¶
GET /workspace-access/service-account/{service_account_id}
List all workspaces a service account has direct access to.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
|
query |
integer |
|
|
query |
integer |
Response A page of results (items, total, limit, offset). Each item:
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
datetime |
Create service account¶
POST /service-accounts/
Create a new service account.
Request body
Field |
Type |
Required |
|---|---|---|
|
string |
Yes |
|
string |
Yes |
|
string |
|
|
list of string |
|
|
list of string |
Response
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
string |
|
list of string |
|
list of string |
|
boolean |
|
datetime |
|
datetime |
|
datetime |
List service accounts¶
GET /service-accounts/
List all service accounts for your organization.
Response A list of objects:
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
string |
|
list of string |
|
list of string |
|
boolean |
|
datetime |
|
datetime |
|
datetime |
Get service account¶
GET /service-accounts/{service_account_id}
Get a service account by ID.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
string |
|
list of string |
|
list of string |
|
boolean |
|
datetime |
|
datetime |
|
datetime |
Update service account¶
PATCH /service-accounts/{service_account_id}
Update a service account.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Request body
Field |
Type |
|---|---|
|
string |
|
string |
|
list of string |
|
list of string |
|
boolean |
Response
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
string |
|
list of string |
|
list of string |
|
boolean |
|
datetime |
|
datetime |
|
datetime |
Delete service account¶
DELETE /service-accounts/{service_account_id}
Delete a service account.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
The raw file content.
Generate API key¶
POST /service-accounts/{service_account_id}/keys
Generate an API key for a service account.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Request body
Field |
Type |
|---|---|
|
string |
Response
Field |
Type |
|---|---|
|
object |
|
string |
List API keys¶
GET /service-accounts/{service_account_id}/keys
List active API keys for a service account.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response A list of objects:
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
boolean |
|
datetime |
|
datetime |
Revoke API key¶
DELETE /service-accounts/{service_account_id}/keys/{token_id}
Revoke an API key for a service account.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
|
path |
UUID |
Yes |
Response
The raw file content.
Get the SSO connection¶
GET /sso/connection
Get the organization’s SSO connection, if one is configured.
Configure the SSO connection¶
POST /sso/connection
Create or update the organization’s SAML SSO connection.
Request body
Field |
Type |
|---|---|
|
string |
|
string |
|
string |
|
string |
|
string |
|
string |
|
object |
|
boolean |
|
string |
|
UUID |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
boolean |
|
boolean |
|
object |
|
boolean |
|
string |
|
UUID |
|
string |
|
boolean |
|
boolean |
|
boolean |
|
datetime |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
list of object |
Delete the SSO connection¶
DELETE /sso/connection/{connection_id}
Delete the SSO connection.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
The raw file content.
Enable the SSO connection¶
POST /sso/connection/{connection_id}/enable
Enable the SSO connection.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
boolean |
|
boolean |
|
object |
|
boolean |
|
string |
|
UUID |
|
string |
|
boolean |
|
boolean |
|
boolean |
|
datetime |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
list of object |
Disable the SSO connection¶
POST /sso/connection/{connection_id}/disable
Disable the SSO connection.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
boolean |
|
boolean |
|
object |
|
boolean |
|
string |
|
UUID |
|
string |
|
boolean |
|
boolean |
|
boolean |
|
datetime |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
list of object |
Enforce the SSO connection¶
POST /sso/connection/{connection_id}/enforce
Require SSO for every member except owners; needs an enabled, verified connection.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
UUID |
|
string |
|
string |
|
string |
|
string |
|
boolean |
|
boolean |
|
object |
|
boolean |
|
string |
|
UUID |
|
string |
|
boolean |
|
boolean |
|
boolean |
|
datetime |
|
string |
|
string |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
list of object |
List SSO domains¶
GET /sso/domains
List the domains the organization has claimed for SSO.
Response A list of objects:
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
string |
|
datetime |
Claim an SSO domain¶
POST /sso/domains
Claim an email domain for SSO.
Request body
Field |
Type |
Required |
|---|---|---|
|
string |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
string |
|
datetime |
Verify an SSO domain¶
POST /sso/domains/{domain_id}/verify
Check a claimed domain’s DNS TXT record.
Parameters
Name |
In |
Type |
Required |
|---|---|---|---|
|
path |
UUID |
Yes |
Response
Field |
Type |
|---|---|
|
UUID |
|
string |
|
string |
|
string |
|
datetime |
|
datetime |
|
string |
|
datetime |
What’s next?¶
API overview: authentication, worked examples, and error handling
Webhooks: get events pushed to your systems instead of polling
Service accounts: create the key an integration uses